ProLiant Servers (ML,DL,SL)
cancel
Showing results for 
Search instead for 
Did you mean: 

DL360 G5: hpaducli: Firmware update not recognized

 
Philipp Sacha
Occasional Visitor

DL360 G5: hpaducli: Firmware update not recognized

Hi all,

i have upgraded the firmware for a smart array controller (P400i) in a DL360 G5 to the latest version (5.20).

After checking the controller with hpaducli it still complains:
"Controller firmware requires an upgrade. Please upgrade firmware using a ROM Flash Component available on hp.com".

V5.20 was the newest version that i could find at hp.com. So my questions are:

- is there a newer version available?

- how does hpaducli determine what actual firmware is available?

Regards,

Philipp
4 REPLIES
juan quesada
Respected Contributor

Re: DL360 G5: hpaducli: Firmware update not recognized

5.20 is the latest, update also the adu
Philipp Sacha
Occasional Visitor

Re: DL360 G5: hpaducli: Firmware update not recognized

Ok, first question answered, lets go to number 2. Why does hpaducli complains about a firmware upgrade even though tne newest firmware is already installed?

Regards,
Philipp
KarloChacon
Honored Contributor

Re: DL360 G5: hpaducli: Firmware update not recognized

hi

ADU, ACU, hpaducli all of them get that information from NVRAM in the controller that ROM contains firmware level, raid LEVEL and so on

juan told you to update ADU - ACU - hpaducli since maybe the version you have is not reading NVRAM as it should

by the way is that linux?

regards
Didn't your momma teach you to say thanks!
Philipp Sacha
Occasional Visitor

Re: DL360 G5: hpaducli: Firmware update not recognized

I am running Debian etch and have installed the latest official supported hpadu version which is 7.80.

Regards,
Philipp